# Conditional build stuff; from rpm 4.4 /usr/lib/rpm/macros.
# bcond_without defaults to WITH, and vice versa.  Yes, it's
# ass-backward.  Blame PLD.
%if %{!?with:1}0
%define with() %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%endif
%if %{!?without:1}0
%define without() %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%endif
%if %{!?bcond_with:1}0
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%endif
%if %{!?bcond_without:1}0
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
%endif

%bcond_without module_loader_edb
%bcond_without module_saver_edb
%bcond_with    module_engine_cairo_x11
%bcond_without module_engine_directfb
%bcond_without module_engine_fb
%bcond_without module_engine_gl_x11
%bcond_with    module_engine_software_qtopia
%bcond_with    module_engine_software_xcb
%bcond_without module_engine_xrender_x11

# This just keeps a missing doxygen from killing the build.
%define _missing_doc_files_terminate_build 0

Summary: Multi-platform Canvas Library
Name: evas
Version: 0.9.9.026
Release: 0.%(date '+%Y%m%d')
License: BSD
Group: System Environment/Libraries
URL: http://www.enlightenment.org/
Source: %{name}-%{version}.tar.gz
Packager: %{?_packager:%{_packager}}%{!?_packager:Michael Jennings <mej@eterm.org>}
Vendor: %{?_vendorinfo:%{_vendorinfo}}%{!?_vendorinfo:The Enlightenment Project (http://www.enlightenment.org/)}
Distribution: %{?_distribution:%{_distribution}}%{!?_distribution:%{_vendor}}
#BuildSuggests: xorg-x11-devel freetype2-devel freetype-devel
BuildRequires: eet-devel
BuildRequires: /usr/bin/freetype-config
Provides: evas, evas-module_engine_buffer, evas-module_engine_software_x11
Provides: evas-module_loader_jpeg, evas-module_saver_jpeg
Provides: evas-module_loader_png, evas-module_saver_png
Provides: evas-module_loader_eet, evas-module_saver_eet
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Evas is a clean display canvas API for several target display systems
that can draw anti-aliased text, smooth super and sub-sampled scaled
images, alpha-blend objects much and more.

%package devel
Summary: Evas headers, static libraries, documentation and test programs
Group: System Environment/Libraries
Requires: %{name} = %{version}
Requires: eet-devel XFree86-devel
Requires: /usr/bin/freetype-config

%description devel
Headers, static libraries, test programs and documentation for Evas.

%if %{with module_loader_edb}
%package module_loader_edb
Summary: EDB Image loader module for Evas
Group: System Environment/Libraries
BuildRequires: edb-devel
%description module_loader_edb
EDB Image loader module for Evas
%define ac_with_module_loader_edb --enable-image-loader-edb
%else
%define ac_with_module_loader_edb --disable-image-loader-edb
%endif

%if %{with module_saver_edb}
%package module_saver_edb
Summary: EDB Image saver module for Evas
Group: System Environment/Libraries
BuildRequires: edb-devel
%description module_saver_edb
EDB Image saver module for Evas
%endif

%if %{with module_engine_cairo_x11}
%package module_engine_cairo_x11
Summary: Cairo under X11 rendering engine module for Evas
Group: System Environment/Libraries
BuildRequires: cairo-devel
%description module_engine_cairo_x11
Cairo under X11 rendering engine module for Evas
%endif

%if %{with module_engine_directfb}
%package module_engine_directfb
Summary: Directfb rendering engine module for Evas
Group: System Environment/Libraries
#BuildSuggests: DirectFB, libdirectfb-devel, directfb-devel
BuildRequires: /usr/include/directfb/dfb_types.h
%description module_engine_directfb
Directfb rendering engine module for Evas
%define ac_with_module_engine_directfb --enable-directfb
%else
%define ac_with_module_engine_directfb --disable-directfb
%endif

%if %{with module_engine_fb}
%package module_engine_fb
Summary: Framebuffer rendering engine module for Evas
Group: System Environment/Libraries
%description module_engine_fb
Framebuffer rendering engine module for Evas
%define ac_with_module_engine_fb --enable-fb
%else
%define ac_with_module_engine_fb --disable-fb
%endif

%if %{with module_engine_gl_x11}
%package module_engine_gl_x11
Summary: OpenGL under X11 rendering engine module for Evas
Group: System Environment/Libraries
#BuildSuggests: xorg-x11-devel, xorg-x11-Mesa-libGL
BuildRequires: XFree86-devel
%description module_engine_gl_x11
OpenGL under X11 rendering engine module for Evas
%define ac_with_module_engine_gl_x11 --enable-gl-x11
%else
%define ac_with_module_engine_gl_x11 --disable-gl-x11
%endif

%if %{with module_engine_software_qtopia}
%package module_engine_software_qtopia
Summary: Qtopia rendering engine module for Evas
Group: System Environment/Libraries
BuildRequires: qtopia-devel
%description module_engine_software_qtopia
Qtopia rendering engine module for Evas
%define ac_with_module_engine_software_qtopia --enable-software-qtopia
%else
%define ac_with_module_engine_software_qtopia --disable-software-qtopia
%endif

%if %{with module_engine_software_xcb}
%package module_engine_software_xcb
Summary: Software XCB X11 rendering engine module for Evas
Group: System Environment/Libraries
BuildRequires: xcb-devel
%description module_engine_software_xcb
Software XCB X11 rendering engine module for Evas
%define ac_with_module_engine_software_xcb --enable-software-xcb
%else
%define ac_with_module_engine_software_xcb --disable-software-xcb
%endif

%if %{with module_engine_xrender_x11}
%package module_engine_xrender_x11
Summary: XRender rendering engine module for Evas
Group: System Environment/Libraries
#BuildSuggests: xorg-x11-devel
BuildRequires: XFree86-devel
#BuildRequires: xrender-devel
%description module_engine_xrender_x11
XRender rendering engine module for Evas
%define ac_with_module_engine_xrender_x11 --enable-xrender-x11
%else
%define ac_with_module_engine_xrender_x11 --disable-xrender-x11
%endif

%prep
%setup -q -n %{name}-%{version}

%build
%{configure} --prefix=%{_prefix} --x-libraries=%{_prefix}/X11R6/%{_lib} \
    --enable-image-loader-eet --enable-image-loader-jpeg \
    --enable-image-loader-png --enable-buffer --enable-software-x11 \
    %{ac_with_module_loader_edb} \
    %{ac_with_module_saver_edb} \
    %{ac_with_module_engine_directfb} \
    %{ac_with_module_engine_fb} \
    %{ac_with_module_engine_gl_x11} \
    %{ac_with_module_engine_software_qtopia} \
    %{ac_with_module_engine_software_xcb} \
    %{ac_with_module_engine_xrender_x11} \
    $RPM_CONFIGURE_OPTS
%{__make} %{?_smp_mflags} %{?mflags}
test -x `which doxygen` && /bin/sh gendoc || :

%install
%{__make} %{?mflags_install} DESTDIR=$RPM_BUILD_ROOT install
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*/*/*/*a

%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-PLAIN README
%{_bindir}/evas_*
%{_libdir}/*.so.*
%{_libdir}/*.la
%{_libdir}/evas/modules/loaders/eet/*/module.so
%{_libdir}/evas/modules/loaders/jpeg/*/module.so
%{_libdir}/evas/modules/loaders/png/*/module.so
%{_libdir}/evas/modules/savers/eet/*/module.so
%{_libdir}/evas/modules/savers/jpeg/*/module.so
%{_libdir}/evas/modules/savers/png/*/module.so
#FIXME move these to their respective packages like the rest...
%{_libdir}/evas/modules/engines/buffer/*/module.so
%{_libdir}/evas/modules/engines/software_x11/*/module.so
%{_libdir}/evas/modules/engines/software_generic/*/module.so
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_bindir}/evas-config
%{_libdir}/pkgconfig/*
%{_includedir}/*.h

%if %{with module_loader_edb}
%files module_loader_edb
%defattr(-, root, root)
%{_libdir}/evas/modules/loaders/edb/*/module.so
%endif

%if %{with module_saver_edb}
%files module_saver_edb
%defattr(-, root, root)
%{_libdir}/evas/modules/savers/edb/*/module.so
%endif

%if %{with module_engine_cairo_x11}
%files module_engine_cairo_x11
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/cairo_x11/*/module.so
%endif

%if %{with module_engine_directfb}
%files module_engine_directfb
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/directfb/*/module.so
%endif

%if %{with module_engine_fb}
%files module_engine_fb
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/fb/*/module.so
%endif

%if %{with module_engine_gl_x11}
%files module_engine_gl_x11
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/gl_x11/*/module.so
%endif

%if %{with module_engine_software_qtopia}
%files module_engine_software_qtopia
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/software_qtopia/*/module.so
%endif

%if %{with module_engine_xrender_x11}
%files module_engine_xrender_x11
%defattr(-, root, root)
%{_libdir}/evas/modules/engines/xrender_x11/*/module.so
%endif

%changelog
